glibmm: Generic container converters

glibmm 2.34.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

Modules | Classes | Typedefs | Enumerations | Functions
Generic container converters

## Modules
| Helper classes

## Classes
class | Glib::ArrayHandle< T, Tr >
| This is an intermediate type. More...
class | Glib::Sequence< Iterator >
| Utility class holding an iterator sequence. More...
class | Glib::ListHandle< T, Tr >
| This is an intermediate type. More...
class | Glib::SListHandle< T, Tr >
| This is an intermediate type. More...

## Typedefs
typedef ArrayHandle < Glib::ustring > | Glib::StringArrayHandle
| If a method takes this as an argument, or has this as a return type, then you can use a standard container such as std::list<Glib::ustring> or std::vector<Glib::ustring>.

## Enumerations
enum | Glib::OwnershipType { Glib::OWNERSHIP_NONE = 0, Glib::OWNERSHIP_SHALLOW, Glib::OWNERSHIP_DEEP }

## Functions
template<class Iterator >
Sequence< Iterator > | Glib::sequence (Iterator pbegin, Iterator pend)
| Helper function to create a Glib::Sequence<> object, which in turn can be used to initialize a container handle.

## Detailed Description

## Typedef Documentation

typedef ArrayHandle<Glib::ustring> Glib::StringArrayHandle

If a method takes this as an argument, or has this as a return type, then you can use a standard container such as std::list<Glib::ustring> or std::vector<Glib::ustring>.

However, this is not used in new API. We now prefer to just use std::vector, which is less flexibile, but makes the API clearer.

## Enumeration Type Documentation

enum Glib::OwnershipType

Ownership of the container

Defines how and if the container will release the list and its elemens when it is destroyed

Enumerator:

  OWNERSHIP_NONE | Do not release anything
  OWNERSHIP_SHALLOW | Release the list, but not its elements, when the container is deleted
  OWNERSHIP_DEEP | Release the list, and its elements, when the container is deleted.

## Function Documentation

template <class Iterator >

Sequence<Iterator> Glib::sequence | ( | Iterator | pbegin,
|  | Iterator | pend
| ) |  |
| inline

Helper function to create a Glib::Sequence<> object, which in turn can be used to initialize a container handle.

Usage example:
  combo.set_popdown_strings(Glib::sequence(foo_begin, foo_end));